petsc-3.4.2 2013-07-02

# DMTSGetIFunction

get TS implicit residual evaluation function

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSGetIFunction(DM dm,TSIFunction *func,void **ctx)

Not Collective

### Input Argument

dm -DM to be used with TS

### Output Arguments

| func | - function evaluation function, see TSSetIFunction() for calling sequence
| ctx | - context for residual evaluation

### Note

TSGetFunction() is normally used, but it calls this function internally because the user context is actually associated with the DM.

### See Also

DMTSSetContext(), DMTSSetFunction(), TSSetFunction()

Level:advanced
Location:src/ts/utils/dmts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages